package com.ruoyi.kaohe.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.kaohe.mapper.KhEmpItemMapper;
import com.ruoyi.kaohe.domain.KhEmpItem;
import com.ruoyi.kaohe.service.IKhEmpItemService;

/**
 * 职工考核Service业务层处理
 * 
 * @author hs
 * @date 2025-06-17
 */
@Service
public class KhEmpItemServiceImpl implements IKhEmpItemService 
{
    @Autowired
    private KhEmpItemMapper khEmpItemMapper;

    /**
     * 查询职工考核
     * 
     * @param id 职工考核主键
     * @return 职工考核
     */
    @Override
    public KhEmpItem selectKhEmpItemById(Long id)
    {
        return khEmpItemMapper.selectKhEmpItemById(id);
    }

    /**
     * 查询职工考核列表
     * 
     * @param khEmpItem 职工考核
     * @return 职工考核
     */
    @Override
    public List<KhEmpItem> selectKhEmpItemList(KhEmpItem khEmpItem)
    {
        return khEmpItemMapper.selectKhEmpItemList(khEmpItem);
    }

    /**
     * 新增职工考核
     * 
     * @param khEmpItem 职工考核
     * @return 结果
     */
    @Override
    public int insertKhEmpItem(KhEmpItem khEmpItem)
    {
        khEmpItem.setCreateTime(DateUtils.getNowDate());
        return khEmpItemMapper.insertKhEmpItem(khEmpItem);
    }

    /**
     * 修改职工考核
     * 
     * @param khEmpItem 职工考核
     * @return 结果
     */
    @Override
    public int updateKhEmpItem(KhEmpItem khEmpItem)
    {
        khEmpItem.setUpdateTime(DateUtils.getNowDate());
        return khEmpItemMapper.updateKhEmpItem(khEmpItem);
    }

    /**
     * 批量删除职工考核
     * 
     * @param ids 需要删除的职工考核主键
     * @return 结果
     */
    @Override
    public int deleteKhEmpItemByIds(Long[] ids)
    {
        return khEmpItemMapper.deleteKhEmpItemByIds(ids);
    }

    /**
     * 删除职工考核信息
     * 
     * @param id 职工考核主键
     * @return 结果
     */
    @Override
    public int deleteKhEmpItemById(Long id)
    {
        return khEmpItemMapper.deleteKhEmpItemById(id);
    }
}
